﻿using Newtonsoft.Json;

namespace Sample
{

    public class CompletionRequest
    {
        public List<Message> messages { get; set; }
        public float temperature { get; set; }
        public float top_p { get; set; }
        public float frequency_penalty { get; set; }
        public float presence_penalty { get; set; }
        public string model { get; set; }
        public bool stream { get; set; }
    }

    public class Message
    {
        public string role { get; set; }

        public string content { get; set; }
    }

    public class CompletionResponse
    {
        public List<Choice> choices { get; set; }
        public static string ToResponseJson(BaiduAIResponse baiduAIResponse)
        {
            return JsonConvert.SerializeObject(new CompletionResponse
            {
                choices = [new Choice { message = new() { content = baiduAIResponse.result } }]
            });
        }
    }

    public class Choice
    {
        public RespMessage message { get; set; }
        public RespMessage delta { get; set; }
    }
    public class RespMessage
    {
        public string content { get; set; }
    }
}
